### Method

# Gio DataInputStream set_newline_type

#### Declaration [src]

    void
    g_data_input_stream_set_newline_type (
      GDataInputStream* stream,
      GDataStreamNewlineType type
    )

#### Description [src]

Sets the newline type for the `stream`.

Note that using G_DATA_STREAM_NEWLINE_TYPE_ANY is slightly unsafe. If a read chunk ends in “CR” we must read an additional byte to know if this is “CR” or “CR LF”, and this might block if there is no more data available.

Sets property | `Gio.DataInputStream:newline-type`

#### Parameters

`type`

  Type: `GDataStreamNewlineType`

  The type of new line return as `GDataStreamNewlineType`.